GTG_EZTrace.h File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include "GTGColor.h"`
`#include "GTGTypes.h"`

Go to the source code of this file.

## Macros

#define | GTG_FLAG_NONE 0
| No flag specified. More...
#define | GTG_FLAG_USE_MPI 1
| Several MPI processes are currently using GTG. More...
#define | GTG_FLAG_NOTBUF 2
| For writing the traces in a non-buffered mode. More...
#define | GTG_FLAG_OUTOFORDER 4
| Allow the application to record events out of order. More...

## Typedefs

typedef uint8_t | gtg_flag_t
| Flags that can be specified to GTG. More...
typedef enum traceType | traceType_t

## Enumerations

enum | traceType { PAJE, VITE, OTF, TAU, PAJE, VITE, OTF, TAU }
| The type of the output trace. More...

## Functions

void | gtg_setTraceType (traceType_t type)
traceType_t | gtg_getTraceType ()
char * | gtg_getName (int procRk)
int | gtg_bufferedModeActivated ()
trace_return_t | gtg_initTrace (const char *filename, int rank, gtg_flag_t flags)
trace_return_t | gtg_endTrace ()
trace_return_t | gtg_setCompress (int val)
trace_return_t | gtg_addContType (const char *alias, const char *contType, const char *name)
trace_return_t | gtg_addStateType (const char *alias, const char *contType, const char *name)
trace_return_t | gtg_addEventType (const char *alias, const char *contType, const char *name)
trace_return_t | gtg_addLinkType (const char *alias, const char *name, const char *contType, const char *srcContType, const char *destContType)
trace_return_t | gtg_addVarType (const char *alias, const char *name, const char *contType)
trace_return_t | gtg_addEntityValue (const char *alias, const char *entType, const char *name, gtg_color_t p_color)
trace_return_t | gtg_addContainer (varPrec time, const char *alias, const char *type, const char *container, const char *name, const char *file)
trace_return_t | gtg_destroyContainer (varPrec time, const char *name, const char *type)
trace_return_t | gtg_setState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | gtg_pushState (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | gtg_popState (varPrec time, const char *type, const char *cont)
trace_return_t | gtg_addEvent (varPrec time, const char *type, const char *cont, const char *val)
trace_return_t | gtg_startLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
trace_return_t | gtg_endLink (varPrec time, const char *type, const char *cont, const char *src, const char *dest, const char *val, const char *key)
trace_return_t | gtg_setVar (varPrec time, const char *type, const char *cont, varPrec val)
trace_return_t | addVar (varPrec time, const char *type, const char *cont, varPrec val)
| Add a value to a Variable. More...
trace_return_t | subVar (varPrec time, const char *type, const char *cont, varPrec val)
| Substract a value from a Variable. More...
trace_return_t | AddComment (const char *comment)
| Add some Comment in Trace file. More...

## Macro Definition Documentation

#define GTG_FLAG_NONE 0

No flag specified.

#define GTG_FLAG_NOTBUF 2

For writing the traces in a non-buffered mode.

#define GTG_FLAG_OUTOFORDER 4

Allow the application to record events out of order.

#define GTG_FLAG_USE_MPI 1

Several MPI processes are currently using GTG.

## Typedef Documentation

typedef uint8_t gtg_flag_t

Flags that can be specified to GTG.

typedef enum traceType traceType_t

## Function Documentation

trace_return_t gtg_addContainer | ( | varPrec | time,
|  | const char * | alias,
|  | const char * | type,
|  | const char * | container,
|  | const char * | name,
|  | const char * | file
| ) |  |

trace_return_t gtg_addContType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

trace_return_t gtg_addEntityValue | ( | const char * | alias,
|  | const char * | entType,
|  | const char * | name,
|  | gtg_color_t | p_color
| ) |  |

trace_return_t gtg_addEvent | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

trace_return_t gtg_addEventType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

trace_return_t gtg_addLinkType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType,
|  | const char * | srcContType,
|  | const char * | destContType
| ) |  |

trace_return_t gtg_addStateType | ( | const char * | alias,
|  | const char * | contType,
|  | const char * | name
| ) |  |

trace_return_t gtg_addVarType | ( | const char * | alias,
|  | const char * | name,
|  | const char * | contType
| ) |  |

int gtg_bufferedModeActivated | ( |  | ) |

trace_return_t gtg_destroyContainer | ( | varPrec | time,
|  | const char * | name,
|  | const char * | type
| ) |  |

trace_return_t gtg_endLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key
| ) |  |

trace_return_t gtg_endTrace | ( |  | ) |

char* gtg_getName | ( | int | procRk | ) |

traceType_t gtg_getTraceType | ( |  | ) |

trace_return_t gtg_initTrace | ( | const char * | filename,
|  | int | rank,
|  | gtg_flag_t | flags
| ) |  |

trace_return_t gtg_popState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont
| ) |  |

trace_return_t gtg_pushState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

trace_return_t gtg_setCompress | ( | int | val | ) |

trace_return_t gtg_setState | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | val
| ) |  |

void gtg_setTraceType | ( | traceType_t | type | ) |

trace_return_t gtg_setVar | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | varPrec | val
| ) |  |

trace_return_t gtg_startLink | ( | varPrec | time,
|  | const char * | type,
|  | const char * | cont,
|  | const char * | src,
|  | const char * | dest,
|  | const char * | val,
|  | const char * | key
| ) |  |